Bug 1919712 - Review Request: xbg - Tiny XCB root window color setter
Summary: Review Request: xbg - Tiny XCB root window color setter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-24 20:22 UTC by Davide Cavalca
Modified: 2021-03-23 01:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-17 02:17:20 UTC
Type: ---
Embargoed:
jskarvad: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-01-24 20:22:57 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/xbg/xbg.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/xbg/xbg-0.0.2-1.fc34.src.rpm

Description:
xbg is a tiny XCB root window color setter. It changes the root window
background to a specified X11 color name.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-01-24 20:24:35 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=60394030

Comment 2 Gabriel Gaspar Becker 2021-03-04 11:26:06 UTC
Review:

F35 (rawhide) scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=63057972

Suggestions:
1) Package does not contain any manpage, but this is not a must.

Rpmlint
-------
Checking: xbg-0.0.2-1.fc35.x86_64.rpm
          xbg-debuginfo-0.0.2-1.fc35.x86_64.rpm
          xbg-debugsource-0.0.2-1.fc35.x86_64.rpm
          xbg-0.0.2-1.fc35.src.rpm
xbg.x86_64: W: no-manual-page-for-binary xbg
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xbg-debuginfo-0.0.2-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
xbg.x86_64: W: no-manual-page-for-binary xbg
3 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://github.com/mcpcpc/xbg/archive/0.0.2.tar.gz#/xbg-0.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 2ae41cbc55b76b6ccda0de5caa0c7904e1d4dd223ecbd9a9402f4c741a959819
  CHECKSUM(SHA256) upstream package : 2ae41cbc55b76b6ccda0de5caa0c7904e1d4dd223ecbd9a9402f4c741a959819


Requires
--------
xbg (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libxcb-util.so.1()(64bit)
    libxcb.so.1()(64bit)
    rtld(GNU_HASH)

xbg-debuginfo (rpmlib, GLIBC filtered):

xbg-debugsource (rpmlib, GLIBC filtered):



Provides
--------
xbg:
    xbg
    xbg(x86-64)

xbg-debuginfo:
    debuginfo(build-id)
    xbg-debuginfo
    xbg-debuginfo(x86-64)

xbg-debugsource:
    xbg-debugsource
    xbg-debugsource(x86-64)


Overall the package looks good to me.

Comment 3 Jaroslav Škarvada 2021-03-04 14:48:12 UTC
LGTM, maybe the URL could be simplified to:
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

It seems the github project was archived which could complicate the maintenance in the future, but it's simple code, so it should be OK.

Comment 4 Davide Cavalca 2021-03-04 16:46:33 UTC
Thanks!

$ fedpkg request-repo xbg 1919712
https://pagure.io/releng/fedora-scm-requests/issue/32537

Comment 5 Jaroslav Škarvada 2021-03-05 09:40:05 UTC
(In reply to Davide Cavalca from comment #4)
> Thanks!
> 
> $ fedpkg request-repo xbg 1919712
> https://pagure.io/releng/fedora-scm-requests/issue/32537

I am adding fedora-review+ myself, due to https://pagure.io/releng/fedora-scm-requests/issue/32537
Sorry for inconvenience.

Comment 6 Jaroslav Škarvada 2021-03-05 09:43:05 UTC
(In reply to Jaroslav Škarvada from comment #5)
> (In reply to Davide Cavalca from comment #4)
> > Thanks!
> > 
> > $ fedpkg request-repo xbg 1919712
> > https://pagure.io/releng/fedora-scm-requests/issue/32537
> 
> I am adding fedora-review+ myself, due to
> https://pagure.io/releng/fedora-scm-requests/issue/32537
> Sorry for inconvenience.

Davide, I think you will have to create new scm-request for repo.

Comment 7 Tomas Hrcka 2021-03-07 18:29:53 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xbg

Comment 8 Fedora Update System 2021-03-08 16:59:30 UTC
FEDORA-2021-7ca0d722d3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7ca0d722d3

Comment 9 Fedora Update System 2021-03-08 17:07:09 UTC
FEDORA-2021-6babac6a50 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6babac6a50

Comment 10 Fedora Update System 2021-03-08 17:14:48 UTC
FEDORA-2021-b0b8a01fbe has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b0b8a01fbe

Comment 11 Fedora Update System 2021-03-08 17:30:20 UTC
FEDORA-EPEL-2021-c8a929affd has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-c8a929affd

Comment 12 Fedora Update System 2021-03-08 20:32:02 UTC
FEDORA-EPEL-2021-c8a929affd has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-c8a929affd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-03-08 21:15:47 UTC
FEDORA-2021-6babac6a50 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-6babac6a50 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6babac6a50

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-03-08 21:27:37 UTC
FEDORA-2021-b0b8a01fbe has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-b0b8a01fbe \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b0b8a01fbe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-03-09 22:46:03 UTC
FEDORA-2021-7ca0d722d3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-7ca0d722d3 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7ca0d722d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-03-17 02:17:20 UTC
FEDORA-2021-6babac6a50 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-03-17 02:37:58 UTC
FEDORA-2021-b0b8a01fbe has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-03-19 20:09:07 UTC
FEDORA-2021-7ca0d722d3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-03-23 01:52:50 UTC
FEDORA-EPEL-2021-c8a929affd has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.